osl::move_generator::GeneratePromote< NoCapture > Struct Template Reference

Player で特殊化した Action でinstantiate すると無駄なので注意． More...

`#include <promote_.h>`

## Static Public Member Functions

template<class Action>
static void | generate (Player p, const NumEffectState &state, Action &action)

## Detailed Description

template<bool NoCapture>
struct osl::move_generator::GeneratePromote< NoCapture >

Player で特殊化した Action でinstantiate すると無駄なので注意．

Definition at line 42 of file promote_.h.

## Member Function Documentation

## generate()

template<bool NoCapture>
template<class Action>

void osl::move_generator::GeneratePromote< NoCapture >::generate | ( | Player | p,
|  | const NumEffectState & | state,
|  | Action & | action )

inline static

Definition at line 45 of file promote_.h.

References osl::BLACK, and osl::move_generator::Promote< P, NoCapture >::generateMoves().

The documentation for this struct was generated from the following file:

- promote_.h